Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Interface SwiftOTDBuilderObject

All Known Implementing Classes:
  SwiftAltrnEntry, SwiftAltrnEntryField, SwiftEntryField, SwiftLoopEntryField, SwiftMessage, SwiftMetadata, SwiftOptEntry, SwiftOptEntryField, SwiftOTDBuilderObjAdapter, SwiftPattern, SwiftSeqEntryField

    public interface SwiftOTDBuilderObject

Method Summary
`void` | `calculateRepetitiveInfo()`
`void` | `diff(SwiftOTDBuilderObject obj, java.io.PrintWriter writer, boolean coreAttrOnly)`
`void` | `genMap(SwiftOTDBuilderObject obj, java.io.PrintWriter writer)`
`SwiftHRFSpecEntrySet` | `getHRFEntry()`
`java.lang.String` | `getID()`
`java.lang.String` | `getMTType()`
`SwiftOTDBuilderObject` | `getParent()`
`void` | `print(java.io.PrintWriter writer)`
`void` | `print(java.io.PrintWriter writer, boolean left)`
`void` | `setHRFEntry(SwiftHRFSpecEntrySet entry)`
`void` | `setParent(SwiftOTDBuilderObject parent)`

Method Detail

### getParent

    SwiftOTDBuilderObject getParent()

### setParent

    void setParent(SwiftOTDBuilderObject parent)

### getID

    java.lang.String getID()

### print

    void print(java.io.PrintWriter writer)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### print

    void print(java.io.PrintWriter writer,
               boolean left)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### diff

    void diff(SwiftOTDBuilderObject obj,
              java.io.PrintWriter writer,
              boolean coreAttrOnly)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### genMap

    void genMap(SwiftOTDBuilderObject obj,
                java.io.PrintWriter writer)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### calculateRepetitiveInfo

    void calculateRepetitiveInfo()
                                 throws SwiftParsingException

  Throws:
    `SwiftParsingException`

### setHRFEntry

    void setHRFEntry(SwiftHRFSpecEntrySet entry)

### getHRFEntry

    SwiftHRFSpecEntrySet getHRFEntry()

### getMTType

    java.lang.String getMTType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.